DevelopersAPIReferencecategories
List categories
All categories of the wallet, each with server-computed usage counts (SE-2).
Authorization
bearerAuth Authorization<token>
A Walletguide API key (wg_…) or an OAuth bearer token. Paste the value only. Create a key under Wallet settings → API keys.
In: header
Path Parameters
walletId*string
Row uuid
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/wallets/497f6eca-6276-4993-bfeb-53cbbbba6f08/categories"[ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "walletId": "0ecad4a2-3549-43fb-807e-9ff033247480", "firestoreId": "string", "name": "string", "type": "activeIncome", "emoji": "string", "system": true, "systemKey": "string", "order": -140737488355328, "categoryGroupId": "94a69c98-7014-42e1-a3ec-9154712b315b", "createdTime": "2019-08-24T14:15:22Z", "createdUserId": "string", "lastUpdatedTime": "2019-08-24T14:15:22Z", "lastUpdatedUserId": "string", "used": 0, "usedInScenarios": 0, "usedInAssets": 0 }]